#pragma once
#include "SkinnableWindow.h"

class CheckBox :
	public SkinnableWindow
{
public:
	CheckBox();
	~CheckBox();

	void Load(const char * b);
	virtual int Create(HWND parent = 0);
	virtual void OnLButtonUp();
	virtual void Disable();
	virtual void Enable();
	virtual void OnCarriageReturn(HWND h);

	void Toggle();
	void SetValue(int b);

	int checked;

	// Appearances
	Appearance Checked;
	Appearance Unchecked;
	Appearance Disabled;

};